from django.db import models
from django.utils.translation import ugettext_lazy as _
from ckeditor.fields import RichTextField

from .enums import LanguageTypes


class TrainingProgram(models.Model):
    training_program_id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=200, help_text='Unique description name',
                            verbose_name=_("name"))

    class Meta:
        db_table = 'training_program'
        verbose_name = _("Training Program")
        verbose_name_plural = _("Training Programs")

    def __str__(self):
        return self.name
